Summary:	A tool for printing multiple pages of text on each printed page
Name:		mpage
Version:	2.5.7
Release:	%mkrel 5
License:	BSD
Group:		System/Printing
URL:		https://www.mesa.nl/pub/mpage
Source0:	https://www.mesa.nl/pub/mpage/%name-%version.tgz
Patch0:		mpage-2.5.4-config.patch
# Japanese patch.bz2
Patch10:	mpage-2.5.3-j.patch
Patch20:	mpage-mfix.patch
Patch21:	mpage-psprint.patch
Patch22:	mpage-2.5.3-japanese-fix.patch
Patch23:	mpage-2.5.6-LDFLAGS.diff

%description
The mpage utility takes plain text files or PostScript(TM) documents
as input, reduces the size of the text, and prints the files on a
PostScript printer with several pages on each sheet of paper.  Mpage
is very useful for viewing large printouts without using up tons of
paper.  Mpage supports many different layout options for the printed
pages.

Mpage should be installed if you need a useful utility for viewing
long text documents without wasting paper.

%prep
%setup -q
%patch -P 0 -p1 -b .config
%patch -P 10 -p1 -b .jp
%patch -P 20 -p1 -b .fix
%patch -P 21 -p1
%patch -P 22 -p1
%patch -P 23 -p0

%build
%make_build RPM_OPT_FLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%make_install

%files
%doc CHANGES Copyright README NEWS TODO
%{_bindir}/mpage
%{_mandir}/man1/mpage.1*
%dir %{_datadir}/mpage
%{_datadir}/mpage/*


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 2.5.7-5.mga10
+ Revision: 2127859
- Rebuild for patchN deprecation

* Tue Mar 15 2022 umeabot <umeabot> 2.5.7-4.mga9
+ Revision: 1792149
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 2.5.7-3.mga8
+ Revision: 1515235
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.5.7-2.mga7
+ Revision: 1299616
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 kekepower <kekepower> 2.5.7-1.mga7
+ Revision: 1217668
- Update to version 2.5.7

* Fri Feb 12 2016 umeabot <umeabot> 2.5.6-10.mga6
+ Revision: 956183
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 2.5.6-9.mga6
+ Revision: 893616
- do not strip binary to fix empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 2.5.6-8.mga5
+ Revision: 748518
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.6-7.mga5
+ Revision: 682635
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.5.6-6.mga4
+ Revision: 508040
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.5.6-5.mga3
+ Revision: 360392
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 dmorgan <dmorgan> 2.5.6-4.mga1
+ Revision: 43438
- imported package mpage

